Change textfield to textarea for "Exclude attachments by name"
Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Email receiving Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed

Description

Would it be possible to get the textbox changed to a textarea? It would be easeier to add attachment-names to such field

Related issues:
Related to Redmine - Feature #32085: Allow newline as a separator in "Allowed... New

Associated revisions

Revision 18476 - 2019-09-18 03:25 - Go MAEDA

Change textfield to textarea for "Exclude attachments by name" (#19903).

Patch by Yuichi HARADA.

History

#1 - 2015-06-20 05:52 - Toshi MARUYAMA

- Category changed from Email receiving to Custom fields

#2 - 2016-09-20 15:44 - Rene H

Any possibility to get this implemented? Having to add new image-names to 40 different logo-signatures is pretty painful :-(

One new feature that would make this an easy task for the user, would be to add an image to the exclusion-list via the issue itself for administrators.
#3 - 2018-08-19 02:10 - Go MAEDA

- File 19903@2x.png added

- Category changed from Custom fields to Email receiving

The category for this issue should be "Email receiving".

Settings

Incoming emails

Truncate emails after one of these lines

Enable regular expressions

Exclude attachments by name

| Enable regular expressions

#4 - 2019-08-07 07:52 - Yuichi HARADA
- File 19903 _change_to_textarea.patch added
| changed "Exclude attachments by name" to textarea.
| attached a patch.

#5 - 2019-09-01 13:01 - Go MAEDA

- Target version set to Candidate for next major release

#6 - 2019-09-16 13:13 - Go MAEDA
- File 19903-v2.patch added

:maxlength => 60 for the textarea should be removed. 60 character is too short, and the similar fields such as "Allowed extensions" and "Disallowed
extensions" don't have such a limitation.

| have updated the patch.

#7 - 2019-09-18 03:26 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

- Resolution set to Fixed
Committed the patch with a slight change. Thank you.
#8 - 2019-09-18 03:32 - Go MAEDA

- Related to Feature #32085: Allow newline as a separator in "Allowed extensions", "Disallowed extensions", "Exclude attachments by name" field in
Administration added

Files

19903@2x.png 30.5 KB 2018-08-19 Go MAEDA
